Subject: Re: bug#8220: 24.0.50; (On Windows XP) "c:\_emacs" isn't found during startup

From: Juanma Barranquero <[email-masked]>
Date: Fri, 11 Mar 2011 18:49:33 +0100

On Fri, Mar 11, 2011 at 18:34, Drew Adams <[email-masked]> wrote:

> It is just as silly to argue that `_emacs' should be desupported.
> That's the point.

I disagree.

> On the contrary.  `_emacs' behaves similarly across platforms.

No, it doesn't, because non-DOS, non-Windows Emacsen do not load _emacs.

Yes, you're talking of `ls' and/or `dir', but the point is that you're
arguing in favor of keeping an old compatibility feature by
*extending* it, making detection of [._]emacs(.elc?)? / init.el (and,
more important, explaining how that detection is done) no less complex
on Windows/DOS, and more complex on POSIX environments. For a net gain
of... what?

    Juanma